## ros-iron-rmf-building-sim-common 2.1.1

=== debian/changelog ===
ros-iron-rmf-building-sim-common (2.1.1-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-iron-rmf-building-sim-common (2.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#101 <https://github.com/open-rmf/rmf_simulation/pull/101>)
  * Don't print warning if lift is going to same floor (#89 <https://github.com/open-rmf/rmf_simulation/pull/89>)
  * Contributors: Luca Della Vedova, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-building-sim-common (2.0.0-1jammy) jammy; urgency=high

  * Use ECM instead of traversing sdformat parent for Gazebo doors (#80 <https://github.com/open-rmf/rmf_simulation/pull/80>)
  * Change default lift current mode to AGV (#52 <https://github.com/open-rmf/rmf_simulation/pull/52>)
  * Contributors: Arjo Chakravarty, Charayaphan Nakorn Boon Han, Luca Della Vedova

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 03 Oct 2022 16:00:00 -0000

ros-iron-rmf-building-sim-common (1.3.0-1jammy) jammy; urgency=high

  * Fix dependencies (#26 <https://github.com/open-rmf/rmf_simulation/pull/26>)
  * Changes for galactic (#25 <https://github.com/open-rmf/rmf_simulation/pull/25>)
  * Removing unnecessary qt5 dependency from CMakeLists (#22 <https://github.com/open-rmf/rmf_simulation/pull/22>)
  * Make menge mandatory and fix building_sim dependencies (#19 <https://github.com/open-rmf/rmf_simulation/pull/19>)
  * Start using ros-tooling for build and test workflow, added coverage, tsan (#14 <https://github.com/open-rmf/rmf_simulation/pull/14>)
  * Add quality declaration documents (#1 <https://github.com/open-rmf/rmf_simulation/pull/1>)
  * Crowd step size fix for large physics step sizes (#10 <https://github.com/open-rmf/rmf_simulation/pull/10>)
  * Add build and style actions (#11 <https://github.com/open-rmf/rmf_simulation/pull/11>)
  * Slotcar plugin package move and utils cleanup (#5 <https://github.com/open-rmf/rmf_simulation/pull/5>)
  * Refactor and cleanup utils (#6 <https://github.com/open-rmf/rmf_simulation/pull/6>)
  * account for renaming from building_map_msgs to rmf_building_map_msgs (#3 <https://github.com/open-rmf/rmf_simulation/pull/3>)
  * Contributors: Aaron Chong, Charayaphan Nakorn Boon Han, Geoffrey Biggs, Luca Della Vedova, Marco A. Gutiérrez, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-iron-rmf-building-sim-common (1.2.0-1jammy) jammy; urgency=high

  * Add pausing feature to slotcar plugin (#267 <https://github.com/osrf/traffic_editor/pull/267>)
  * dropping eloquent support (#277 <https://github.com/osrf/traffic_editor/pull/277>)
  * Fix undefined initialization of _old_ang_vel and _old_lin_vel (#274 <https://github.com/osrf/traffic_editor/pull/274>)
  * idle mode when slotcar is stationary (#264 <https://github.com/osrf/traffic_editor/pull/264>)
  * Debug/slotcar battery and mode (#261 <https://github.com/osrf/traffic_editor/pull/261>)
  * Added ament exports for crowd simulation common (#260 <https://github.com/osrf/traffic_editor/pull/260>)
  * Make slotcar rotations follow trajectory yaw angle (#254 <https://github.com/osrf/traffic_editor/pull/254>)
  * Fixed RobotMode (#252 <https://github.com/osrf/traffic_editor/pull/252>)
  * Fix namespace for rmf charging plugin (#253 <https://github.com/osrf/traffic_editor/pull/253>)
  * Control slotcar with model velocity cmds in place of joint velocity cmds (#236 <https://github.com/osrf/traffic_editor/pull/236>)
  * Implement battery drain and recharge for slotcars (#242 <https://github.com/osrf/traffic_editor/pull/242>)
  * Implement animation switching in crowd simulation (#238 <https://github.com/osrf/traffic_editor/pull/238>)
  * Contributors: Geoffrey Biggs, Grey, Guoliang (Fred) Shao, Luca Della Vedova, Marco A. Gutiérrez, Morgan Quigley, Rushyendra Maganty, Yadunund, youliang

 -- Morgan Quigley <morgan@openrobotics.org>  Tue, 05 Jan 2021 16:00:00 -0000

ros-iron-rmf-building-sim-common (1.1.0-1jammy) jammy; urgency=high

  * Crowd simulation plugin (#218 <https://github.com/osrf/traffic_editor/pull/218>)
  * Improve lift initial floor definition (#221 <https://github.com/osrf/traffic_editor/pull/221>)
  * Update lift session id in lift plugin (#223 <https://github.com/osrf/traffic_editor/pull/223>)
  * Ignition plugins and modularization of doors and slotcar (#138 <https://github.com/osrf/traffic_editor/pull/138>)
  * Adding lift plugin for ignition (#171 <https://github.com/osrf/traffic_editor/pull/171>)
  * stagger door_state publishing
  * Contributors: Charayaphan Nakorn Boon Han, Guoliang (Fred) Shao, Kevin_Skywalker, Luca Della Vedova, MakinoharaShouko

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000
