=== debian/control ===
Source: ros-iron-rmf-building-sim-common
Section: misc
Priority: optional
Maintainer: Morgan Quigley <morgan@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-menge-vendor, ros-iron-rclcpp, ros-iron-rmf-building-map-msgs, ros-iron-rmf-door-msgs, ros-iron-rmf-lift-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-building-sim-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-menge-vendor, ros-iron-rclcpp, ros-iron-rmf-building-map-msgs, ros-iron-rmf-door-msgs, ros-iron-rmf-lift-msgs, ros-iron-ros-workspace
Description: Common utility functions for Gazebo-classic and Gazebo building plugins
